=== data/Makefile ===
include ../Makefile.cfg

INSTALL=install
DATAFILES=patterns.jm semaphore.jm

all:

install:
	mkdir -p $(INSTALLDIR)/share
	$(INSTALL) $(DATAFILES) $(INSTALLDIR)/share
