=== debian/changelog ===
jugglemaster (0.4-7) unstable; urgency=low

  [ Helmut Grohne ]
  * Enable parallel building.
  * Bump standards version to 3.9.4: No changes needed.
  * Fix Vcs-Browser value after alioth changes.
  * Build hardening.
  * Mark packages as Multi-Arch: foreign.
  * Acknowledge NMUs. Thanks to Sebastian Ramacher for taking care of urgent
    RC bugs and Moritz Muehlenhoff for providing a patch.
  * Add .desktop files. (Addresses: #726446)
  * Make jmdlx stylechooser work again (use after free in
    010_wx26_trans.patch).

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Olly Betts ]
  * Update to use wxWidgets 3.0 (new patch wx3.0-compat.patch). (Closes:
    #749495).
  * Fix warning due to not including <string.h> (new patch
    include-header-for-memset.patch).

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 27 May 2014 21:37:15 +0200

jugglemaster (0.4-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/libav10.patch: Fix build with libav 10. Thanks to Anton
    Khirnov for the patch. (Closes: #739244)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 15 Mar 2014 10:04:09 +0100

jugglemaster (0.4-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/loadavg.patch: kfreebsd-* defines struct loadavg in some
    system header. Rename aajm's loadavg to resolve this conflict. (Closes:
    #722493)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 14 Sep 2013 18:58:28 +0200

jugglemaster (0.4-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/libav9.patch: Fix build with libav 9. Thanks to Moritz
    Muehlenhoff for the patch. (Closes: #720823)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Sep 2013 01:13:50 +0200

jugglemaster (0.4-6) unstable; urgency=low

  * Fix "[aajm] Broken pronoun "It" (JuggleMaster) in extended
    description" updated control, thanks to Filipus Klutiero (Closes: #630190)
  * Bumped Standards-Version to 3.9.2, no changes needed.
  * Fix "Error in patch 010_wx26_trans.patch" updated patch, thanks to
    Olly Betts (Closes: #645409)
  * Fix "update jugglemaster to use wxwidgets2.8" applied and tested patch from
    Olly Betts (Closes: #645408)
  * Fix "FTBFS with ld --as-needed" applied patch from Ilya Barygin
    (Closes: #631700)
  * Fix for "Change Siteswap (simple)".  Every siteswap was regarded as invalid,
    due to the new pattern being garbage collected before being used. Now we
    keep an explicit reference.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 25 Nov 2011 11:29:40 +0100

jugglemaster (0.4-5) unstable; urgency=low

  * Team upload.
  * Write ASCII in uppercase letters in the package description. Thanks to
    Filipus Klutiero for reporting. (Closes: #629933)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 09 Jun 2011 20:03:10 +0200

jugglemaster (0.4-4) unstable; urgency=low

  * Team upload.
  * Drop the Qt version since Qt3 is being removed (Closes: #604353)
  * Switch to dh from debhelper 7 and dpkg-source v3
  * Add DEP-3 headers to the patches
  * Bump Standards-Version, no changes needed
  * Add a patch to fix locale issues when loading files (Closes: #528564)
  * Add patch to fix hand movements during tricks (Closes: #537503)
  * Fix and enable the ffmpeg support (Closes: #597831)
  * (C) is not recognised, use Copyright instead
  * Fix printing text in images and videos
  * Fix memory zeroing error (LP: #479173)
  * Make the watch file more flexible

 -- Paul Wise <pabs@debian.org>  Mon, 21 Feb 2011 16:42:26 +0800

jugglemaster (0.4-3) unstable; urgency=low

  [ Barry deFreese ]
  * Add data copyright details to debian/copyright.
    + Formerly in data_license.mbox file. (Closes:465646)

  [ Helmut Grohne ]
  * Bumped Standards-Version to 3.8.0:
    + Added README.source (from gimp-resynthesizer).

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 22 Jul 2008 13:22:05 +0200

jugglemaster (0.4-2) unstable; urgency=low

  [ Helmut Grohne ]
  * Bumped Standards-Version to 3.7.3, no changes needed.

  [ Barry deFreese ]
  * 010_wx26_trans.dpatch - Build with wx2.6.
  * Move maintainer to Debian Games Team.
  * Add VCS fields in control.
  * Remove unneeded .dirs files.
  * Install in /usr/games, not /usr/bin.
    + Update menus accordingly.
  * Don't install extra license file.

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 10 Dec 2007 13:42:27 +0100

jugglemaster (0.4-1) unstable; urgency=low

  * Initial release.
  * ITP Closes: 443904
  * Improve dpatch descriptions.
  * Use dh_install instead of install.
  * Improved package descriptions.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 06 Nov 2007 09:42:28 +0100
