=== debian/control ===
Source: jugglemaster
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Helmut Grohne <helmut@subdivi.de>
Build-Depends: debhelper (>= 7.0.50~),
 libaa1-dev,
 libavcodec-dev,
 libwxgtk3.0-dev
Standards-Version: 3.9.4
Homepage: http://icculus.org/jugglemaster/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/jugglemaster/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/jugglemaster/

Package: aajm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: ASCII art version of jugglemaster
 JuggleMaster is a siteswap animator. A siteswap is a textual representation
 for patterns one can juggle (using balls, clubs, etc.). JuggleMaster is mainly
 useful for understanding specific siteswaps by animating them (including
 multiplexing). Other uses may include watching patterns without understanding
 the notation behind them.
 .
 This package contains the ASCII art interface. It can be run as an ASCII
 screensaver and doesn't come with patterns, so you better know siteswaps.
 .
 Siteswap FAQ: http://www.juggling.org/help/siteswap/faq.html

Package: jmdlx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: jugglemaster deluxe using wxWidgets
 JuggleMaster is a siteswap animator. A siteswap is a textual representation
 for patterns one can juggle (using balls, clubs, etc.). JuggleMaster is mainly
 useful for understanding specific siteswaps by animating them (including
 multiplexing). Other uses may include watching patterns without understanding
 the notation behind them.
 .
 This package contains the wxWidgets interface and features a lot of builtin
 patterns available via a menu.
 .
 Siteswap FAQ: http://www.juggling.org/help/siteswap/faq.html
