=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
export CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@ --parallel

override_dh_auto_build:
	mkdir bin
	$(MAKE) -C src/jmlib CXXFLAGS="$(CXXFLAGS)"
	$(MAKE) aajm jmdlx HAVE_FFMPEG=1

override_dh_auto_clean:
	rm -Rf bin
	$(MAKE) -C src/jmlib clean
	$(MAKE) -C src/aajm clean
	$(MAKE) -C src/jmdlx clean
